CREATEPYMB(1)

NAME
createPYMB, readPYBase, readPYMB, mb2org, scel2org - fcitx Pinyin related tools

SYNOPSIS
createPYMB <PinyinFile> <PhraseFile>

readPYBase [-b <PinyinMBFile>] [-h]

readPYMB [-f <PhraseMBFile>] [-s] [-h]

mb2org [-b <PinyinMBFile>] [-f <PhraseMBFile>] [-s] [-h]

scel2org [-o <Phrase File>] [-h]

DESCRIPTION

-b <PinyinMBFile>
    If not specified, it will read system default pybase.mb.

-f <PhraseMBFile>
    If not specified, it will read user default PhraseMBFile, which is ~/.config/fcitx/pyusrphrase.mb.

-s  If specified, it will read PhraseMBFile as system format, otherwise will read it as user format.

-h  display help and exit

Pinyin File
    Pinyin File is a file with pinyin and one character per line, separated with space. One available file is in the source of fcitx, named gbkpy.org.

Phrase File
    Phrase File is a file with full pinyin separated with ' and the corresponding phrase. The default phrase file of fcitx can be downloaded at http://fcitx.googlecode.com/files/pinyin.tar.gz.

Pinyin MB File
    Pinyin MB File is the binary format of Pinyin File.

Phrase MB File
    Phrase MB File is the binary format of Pinyin File, user's history phrase mb file is ~/.config/fcitx/pyuserphrase.mb. There is two different format, one is system format which can only generated by createPYMB , and other is user format which can only generated while input with fcitx Pinyin IM.

Output of createPYMB will be pybase.mb, which is Pinyin MB File, and pyphrase.mb, which is Phrase MB File.

Output of mb2org, readPYBase and readPYMB will be stdout. readPYBase and readPYMB are designed to output more debug message of Pinyin MB File and Phrase MB File. mb2org will output in the format of Phrase File.

scel2org is used for transform Sogou Scel File to Phrase File of fcitx. Output of scel2org will be stdout if -o is not used.

SEE ALSO
Please see the homepage at https://fcitx-im.org/